### Function

# FwupdPlugin efi_variable_attrs_to_string

#### Declaration [src]

    gchar*
    fu_efi_variable_attrs_to_string (
      FuEfiVariableAttrs val
    )

#### Description [src]

Converts an enumerated value to a string.

#### Parameters

`val` | `FuEfiVariableAttrs`
| Value, e.g. `FU_EFI_VARIABLE_ATTR_NON_VOLATILE`.

#### Return value

Returns: | `gchar*`
| Identifier string.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.